Package org.apache.sysds.runtime.frame.data.columns

# Enum Class ArrayFactory.FrameArrayType

java.lang.Object
java.lang.Enum<ArrayFactory.FrameArrayType>
org.apache.sysds.runtime.frame.data.columns.ArrayFactory.FrameArrayType

All Implemented Interfaces:
  `Serializable`, `Comparable<ArrayFactory.FrameArrayType>`, `Constable`

Enclosing interface:
  ArrayFactory

public static enum ArrayFactory.FrameArrayType extends Enum<ArrayFactory.FrameArrayType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BITSET`
`BOOLEAN`
`CHARACTER`
`DDC`
`FP32`
`FP64`
`HASH32`
`HASH64`
`INT32`
`INT64`
`OPTIONAL`
`RAGGED`
`STRING`

## Method Summary

Modifier and Type
Method
Description
`static ArrayFactory.FrameArrayType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ArrayFactory.FrameArrayType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRING

public static final ArrayFactory.FrameArrayType STRING

### BOOLEAN

public static final ArrayFactory.FrameArrayType BOOLEAN

### BITSET

public static final ArrayFactory.FrameArrayType BITSET

### INT32

public static final ArrayFactory.FrameArrayType INT32

### INT64

public static final ArrayFactory.FrameArrayType INT64

### FP32

public static final ArrayFactory.FrameArrayType FP32

### FP64

public static final ArrayFactory.FrameArrayType FP64

### CHARACTER

public static final ArrayFactory.FrameArrayType CHARACTER

### RAGGED

public static final ArrayFactory.FrameArrayType RAGGED

### OPTIONAL

public static final ArrayFactory.FrameArrayType OPTIONAL

### DDC

public static final ArrayFactory.FrameArrayType DDC

### HASH64

public static final ArrayFactory.FrameArrayType HASH64

### HASH32

public static final ArrayFactory.FrameArrayType HASH32

## Method Details

### values

public static ArrayFactory.FrameArrayType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ArrayFactory.FrameArrayType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null